=== debian/control ===
Source: ros-humble-transmission-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-ros-workspace
Description: transmission_interface contains data structures for representing mechanical transmissions, methods for propagating values between actuator and joint spaces and tooling to support this.
