## ros-humble-transmission-interface 2.43.1

=== debian/changelog ===
ros-humble-transmission-interface (2.43.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-transmission-interface (2.43.0-1bookworm) bookworm; urgency=high

  * Fix flaky transmission_interface tests by making them deterministic. (backport #1665 <https://github.com/ros-controls/ros2_control/issues/1665>) (#1670 <https://github.com/ros-controls/ros2_control/issues/1670>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-transmission-interface (2.42.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000
